ParticleSwarmOptimization::Inertia Class Referenceabstract

Base inertia class used to alter the PSO state. More...

`#include <ql/experimental/math/particleswarmoptimization.hpp>`

Inheritance diagram for ParticleSwarmOptimization::Inertia:
[legend]

## Public Member Functions

virtual void | setSize (Size M, Size N, Real c0, const EndCriteria &endCriteria)=0
| initialize state for current problem
virtual void | setValues ()=0
| produce changes to PSO state for current iteration

## Protected Member Functions

virtual void | init (ParticleSwarmOptimization *pso)

## Protected Attributes

ParticleSwarmOptimization * | pso_
std::vector< Array > * | X_
std::vector< Array > * | V_
std::vector< Array > * | pBX_
std::vector< Array > * | gBX_
Array * | pBF_
Array * | gBF_
Array * | lX_
Array * | uX_

## Friends

class | ParticleSwarmOptimization

## Detailed Description

Base inertia class used to alter the PSO state.

This pure virtual base class provides the access to the PSO state which the particular inertia algorithm will change upon each iteration.